<?php  
  $mostrar = ListarTurma();
  if($mostrar){
    foreach($mostrar as $m){
      echo '<h3>' . htmlspecialchars($m['nm_turma']) . '</h3>'; // Exibe o nome da turma com proteção XSS
?>
<section class="gallery" id="gallery"> 
  <div class="container-fluid">
    <div class="row gy-4">
      <div id="carouselExample<?php echo $m['cd_turma']; ?>" class="carousel slide">
        <div class="carousel-inner">
        <?php  
          $listar = ListarProjetos($m['cd_turma']);
          if($listar){
            $count = 0;  // Contador para gerenciar os grupos de 4 projetos
            $total = $listar->num_rows;  // Número total de projetos 
            foreach($listar as $l){
              if($count % 4 == 0) {
                // Inicia um novo item do carrossel a cada 4 projetos
                if($count == 0){
                  echo '
                    <div class="carousel-item active">
                      <div class="row">';
                } else {
                  echo '
                    <div class="carousel-item">
                      <div class="row">';
                }
              }
        ?>
        <!-- Card para cada projeto -->
          <div class="col-xl-3 col-lg-4 col-md-6">
            <div class="gallery-item h-100">
              <img 
                src="assets/img/projetos/<?php echo $l['url_banner']; ?>" 
                class="img-fluid w-100" style="height: 220px;">  

              <div class="gallery-links d-flex align-items-center justify-content-center">
                <a href="assets/img/projetos/<?php echo htmlspecialchars($l['url_banner']); ?>" title="Gallery 1" class="glightbox preview-link"><i class="bi bi-arrows-angle-expand"></i></a>
                <a href="#" class="details-link"><i class="bi bi-link-45deg"></i></a>
              </div>
            </div>
          </div><!-- End Gallery Item -->
        <?php  
              $count++;

              // Fecha o grupo de 4 projetos ou o último grupo de projetos
              if($count % 4 == 0 || $count == $total){
                echo '</div></div>';
              }
            }
          } else {
            echo '<p>Sem projetos cadastrados!</p>';  // Mensagem de erro
          }
        ?>
        </div>

        <!-- Botões de controle do carrossel -->
        <button class="carousel-control-prev" type="button" data-bs-target="#carouselExample<?php echo $m['cd_turma']; ?>" data-bs-slide="prev">
          <span class="carousel-control-prev-icon" aria-hidden="true"></span>
          <span class="visually-hidden">Previous</span>
        </button>
        <button class="carousel-control-next" type="button" data-bs-target="#carouselExample<?php echo $m['cd_turma']; ?>" data-bs-slide="next">
          <span class="carousel-control-next-icon" aria-hidden="true"></span>
          <span class="visually-hidden">Next</span>
        </button>
      </div>
    </div>
  </div>
</section>
<?php  
    } 
  }
?>

<?php  
  function ListarProjetos($turma){
    $sql = 'SELECT
            cd_projeto,
            LOWER(nm_titulo_projeto) AS nm_titulo_projeto, 
            ds_projeto, nm_orientador, nm_aluno,
            url_banner,
            id_tema, nm_tema,
            id_local, nm_local,
            id_categoria, nm_categoria,
            id_usuario, nm_usuario
            FROM tb_projeto 
            INNER JOIN tb_tema ON id_tema = cd_tema
            INNER JOIN tb_local ON id_local = cd_local
            INNER JOIN tb_categoria ON id_categoria = cd_categoria
            INNER JOIN tb_usuario ON id_usuario = cd_usuario
            WHERE id_turma = '.$turma;
    $res = $GLOBALS['con']->query($sql);
    
    // Verifica se a consulta retornou resultados
    if($res && $res->num_rows > 0){
      return $res;
    } else {
      return false;  // Retorna falso se não houver resultados
    }
  }
?>
